Overview
--------

OpenContrail (www.opencontrail.org) is a fully featured Software Defined
Networking (SDN) solution for private clouds. It supports high performance
isolated tenant networks without requiring external hardware support. It
provides a Neutron plugin to integrate with OpenStack.

This charm is designed to be used in conjunction with the rest of the OpenStack
related charms in the charm store to virtualize the network that Nova Compute
instances plug into.

This subordinate charm provides the Nova Compute vRouter component which
contains the contrail-vrouter-agent service.
Only OpenStack Icehouse or newer is supported.

Usage
-----

This charm requires a deployed Nova Compute, Contrail Control,
Contrail Configuration and Keystone service.
Once ready, deploy and relate as follows:

    juju deploy neutron-contrail
    juju add-relation nova-compute neutron-contrail
    juju add-relation neutron-contrail:contrail-discovery contrail-configuration:contrail-discovery
    juju add-relation neutron-contrail:contrail-api contrail-configuration:contrail-api
    juju add-relation neutron-contrail keystone

Relating to a neutron/quantum gateway charm will allow Nova Compute instances
to access nova proxy and obtain cloud metadata such as SSH keys:

    juju add-relation neutron-contrail neutron-gateway

NOTE: contrail-configuration charm still needs to be suitably related to
register a linklocal metadata service.
